#
# apache.conf include file for repository
#
# Any changes made here will be lost if you run generate_apacheconf
# with the --replace option
#

# The main virtual host for this repository
<VirtualHost *:80>
  ServerName repository.wanteknologi.com

  ServerAdmin info@wanteknologi.com

    Include /opt/eprints3/cfg/perl_module_isolation_vhost.conf

  <Location "">
    PerlSetVar EPrints_ArchiveID repository
    
    Options +ExecCGI
    <IfModule mod_authz_core.c>
       Require all granted
    </IfModule>
    <IfModule !mod_authz_core.c>
       Order allow,deny
       Allow from all
    </IfModule>
  </Location>
  # Set by $c->{max_upload_filesize}
  LimitRequestBody 1073741824


  # Note that PerlTransHandler can't go inside
  # a "Location" block as it occurs before the
  # Location is known.
  PerlTransHandler +EPrints::Apache::Rewrite
  
</VirtualHost>

